
SoundSoftware Code Site - Feature #8
need "message of the day"
2010-09-10 03:02 PM - Redmine Admin

Status: Closed Start date: 2010-09-10
Priority: Normal Due date:
Assignee: Chris Cannam % Done: 100%
Category: Estimated time: 1.00 hour
Target version:
Description

This message should only appear to logged in users.

History
#1 - 2010-11-19 12:49 PM - Luis Figueira

Should this message be displayed only when a user is logged in?

#2 - 2010-11-19 12:56 PM - Chris Cannam
- Assignee changed from Chris Cannam to Luis Figueira

Good question.

Apart from anything else, if not, then it would need to go somewhere else than the user's home page!

I am inclined to say we should start with a feature that applies to logged-in users only, but I'm open to persuasion either way.

#3 - 2010-11-19 12:57 PM - Luis Figueira
- Assignee changed from Luis Figueira to Chris Cannam

Should the message be "updatable" in the back office (only by admins)?

#4 - 2010-11-19 01:01 PM - Chris Cannam
- Assignee changed from Chris Cannam to Luis Figueira

I would say it should be modifiable by admins only, but through the site rather than the server (just to be clear).

#5 - 2010-11-23 11:52 AM - Luis Figueira
- Status changed from New to Feedback
- Assignee changed from Luis Figueira to Chris Cannam

This feature is now implemented in the luisf branch.
#6 - 2010-11-23 12:20 PM - Luis Figueira
- Assignee changed from Chris Cannam to Luis Figueira
- Estimated time set to 1.00

#7 - 2010-11-23 02:07 PM - Chris Cannam

Works nicely, but (especially now we have Notifications area separately as in #33) this one probably does need to be for logged-in users only.

#8 - 2010-11-23 03:00 PM - Luis Figueira

Now the message only appears to logged in users. Can be tested on my branch's test server.

Chris Cannam wrote:

Works nicely, but (especially now we have Notifications area separately as in #33) this one probably does need to be for logged-in users only.

#9 - 2010-11-23 03:10 PM - Chris Cannam
- Assignee changed from Luis Figueira to Chris Cannam
- % Done changed from 0 to 90

Yup, that works.

#10 - 2010-11-25 04:29 PM - Chris Cannam
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Merged and made live.
